Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.domino
Class FolderTypeEnum

    java.lang.Object
      |
      +--com.compoze.collab.CollabEnum
            |
            +--com.compoze.collab.domino.FolderTypeEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class FolderTypeEnum
extends CollabEnum
implements java.io.Serializable

An enumeration of the folder types. The enumeration class that contains `FolderType` elements.

See Also:
  Serialized Form

Field Summary
`static FolderType` | `DRAFTS` The drafts folder type.
`static FolderType` | `INBOX` The inbox folder type.
`static int` | `NUM_ELEMENTS`
`static FolderType` | `PERSONAL` The personal folder type.
`static FolderType` | `SENT` The sent folder type.
`static FolderType` | `TRASH` The trash folder type.
`static int` | `VALUE_DRAFTS`
`static int` | `VALUE_INBOX`
`static int` | `VALUE_PERSONAL`
`static int` | `VALUE_SENT`
`static int` | `VALUE_TRASH`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `FolderTypeEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `FolderTypeEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_INBOX

    public static final int VALUE_INBOX

### VALUE_TRASH

    public static final int VALUE_TRASH

### VALUE_DRAFTS

    public static final int VALUE_DRAFTS

### VALUE_SENT

    public static final int VALUE_SENT

### VALUE_PERSONAL

    public static final int VALUE_PERSONAL

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

### INBOX

    public static final FolderType INBOX

  The inbox folder type.

### TRASH

    public static final FolderType TRASH

  The trash folder type.

### DRAFTS

    public static final FolderType DRAFTS

  The drafts folder type.

### SENT

    public static final FolderType SENT

  The sent folder type.

### PERSONAL

    public static final FolderType PERSONAL

  The personal folder type.

Constructor Detail

### FolderTypeEnum

    protected FolderTypeEnum(java.lang.Class elementClass,
                             int iNumElements,
                             com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                             EnumElement defaultElement,
                             java.lang.String sInternalName,
                             boolean bMaskable)

  Constructor.

### FolderTypeEnum

    protected FolderTypeEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.